From 8d98fbdc40b6f058bda6e4152ba168f2d92e007a Mon Sep 17 00:00:00 2001
From: Amitosh Swain Mahapatra <amitosh.swain@gmail.com>
Date: May 30 2018 07:00:27 +0000
Subject: [PATCH 3/4] Fix TS lint errors


---

diff --git a/src/app/app.component.ts b/src/app/app.component.ts
index d3a02b7..a115f57 100644
--- a/src/app/app.component.ts
+++ b/src/app/app.component.ts
@@ -12,8 +12,8 @@ import { SplashScreen } from '@ionic-native/splash-screen';
 @Component({
   templateUrl: 'app.html',
 })
-export class MyApp {
-  pages: Array<{ title: string, component: any }>;
+export class App {
+  pages: { title: string, component: any }[];
   rootPage: any;
 
   @ViewChild('content') nav: NavController;
diff --git a/src/app/app.module.ts b/src/app/app.module.ts
index 3c5e34c..84f0ade 100644
--- a/src/app/app.module.ts
+++ b/src/app/app.module.ts
@@ -9,7 +9,7 @@ import { SocialSharing } from '@ionic-native/social-sharing';
 import { SpinnerDialog } from '@ionic-native/spinner-dialog';
 import { Toast } from '@ionic-native/toast';
 
-import { MyApp } from './app.component';
+import { App } from './app.component';
 import { FirstPage } from '../pages/first/first';
 import { MagazinePage } from '../pages/magazine/magazine';
 import { AskPage } from '../pages/ask/ask';
@@ -21,7 +21,7 @@ import { Browser } from '../providers/browser/browser';
 
 @NgModule({
   declarations: [
-    MyApp,
+    App,
     FirstPage,
     MagazinePage,
     AskPage,
@@ -32,11 +32,11 @@ import { Browser } from '../providers/browser/browser';
   imports: [
     BrowserModule,
     HttpClientModule,
-    IonicModule.forRoot(MyApp)
+    IonicModule.forRoot(App)
   ],
   bootstrap: [IonicApp],
   entryComponents: [
-    MyApp,
+    App,
     FirstPage,
     MagazinePage,
     AskPage,
diff --git a/src/pages/first/first.ts b/src/pages/first/first.ts
index e6574ae..ed1f25e 100644
--- a/src/pages/first/first.ts
+++ b/src/pages/first/first.ts
@@ -1,7 +1,5 @@
 import { Component } from '@angular/core';
 import { NavController } from 'ionic-angular';
-import { SocialSharing } from '@ionic-native/social-sharing';
-
 import { Browser } from '../../providers/browser/browser';
 import { MagazinePage } from '../magazine/magazine';
 import { AskPage } from '../ask/ask';
@@ -21,7 +19,7 @@ import { SocialPage } from '../social/social';
 export class FirstPage {
   private posts: Array<any>;
 
-  constructor(private nav: NavController, private browser: Browser, private socialSharing: SocialSharing) {
+  constructor(private nav: NavController, private browser: Browser) {
     this.posts = [];
   }
 
diff --git a/src/providers/ask-fedora/ask-fedora.ts b/src/providers/ask-fedora/ask-fedora.ts
index 9775aff..09afe00 100644
--- a/src/providers/ask-fedora/ask-fedora.ts
+++ b/src/providers/ask-fedora/ask-fedora.ts
@@ -1,9 +1,6 @@
 import 'rxjs/add/operator/map';
 import { Injectable } from '@angular/core';
-
 import { HttpClient } from '@angular/common/http';
-import { Platform } from 'ionic-angular';
-
 import { chooseEndpoint } from '../../utils';
 
 const ENDPOINT = chooseEndpoint('/ask-fedora', 'https://ask.fedoraproject.org/en/api/v1');
@@ -29,8 +26,7 @@ export interface Question {
 */
 @Injectable()
 export class AskFedoraService {
-  private endpoint:string;
-  constructor(private http: HttpClient, private platform: Platform) {
+  constructor(private http: HttpClient) {
   }
 
   getQuestions() {
diff --git a/src/providers/fedo-cal/fedo-cal.ts b/src/providers/fedo-cal/fedo-cal.ts
index bb24f93..ce0c7bb 100644
--- a/src/providers/fedo-cal/fedo-cal.ts
+++ b/src/providers/fedo-cal/fedo-cal.ts
@@ -5,7 +5,6 @@ import * as _ from 'lodash';
 import * as moment from 'moment-timezone';
 
 import { HttpClient } from '@angular/common/http';
-import { Platform } from 'ionic-angular';
 import { Observable } from 'rxjs/Observable';
 import { chooseEndpoint } from '../../utils';
 
@@ -63,8 +62,7 @@ export interface Meeting {
 */
 @Injectable()
 export class FedoCalService {
-  private endpoint: string;
-  constructor(private http: HttpClient, private platform: Platform) {
+  constructor(private http: HttpClient) {
   }
 
   getCalendars(): Observable<Calendar[]> {
diff --git a/src/providers/fedora-magazine/fedora-magazine.ts b/src/providers/fedora-magazine/fedora-magazine.ts
index 000b79b..df22c3b 100644
--- a/src/providers/fedora-magazine/fedora-magazine.ts
+++ b/src/providers/fedora-magazine/fedora-magazine.ts
@@ -1,8 +1,5 @@
-import { Injectable } from '@angular/core';
 import 'rxjs/add/operator/map';
-
-import * as _ from 'lodash';
-
+import { Injectable } from '@angular/core';
 import { HttpClient } from '@angular/common/http';
 import { Observable } from 'rxjs/Observable';
 import { chooseEndpoint } from '../../utils';
diff --git a/src/providers/social/twitter.ts b/src/providers/social/twitter.ts
index 59bf6d2..490c566 100644
--- a/src/providers/social/twitter.ts
+++ b/src/providers/social/twitter.ts
@@ -1,16 +1,11 @@
-import { Injectable } from '@angular/core';
 import 'rxjs/add/operator/map';
 import 'rxjs/add/operator/do';
-import * as _ from 'lodash';
-
-import ENV from '@environment';
-
+import { Injectable } from '@angular/core';
 import { SocialProvider, Post } from './social';
 import { HttpClient } from '@angular/common/http';
-import { Platform } from 'ionic-angular';
 import { chooseEndpoint } from '../../utils';
 import { Observable } from 'rxjs/Observable';
-import { from } from 'rxjs/observable/from';
+import ENV from '@environment';
 
 const ENDPOINT = chooseEndpoint('/twitter', 'https://api.twitter.com/1.1');
 
@@ -22,9 +17,7 @@ const ENDPOINT = chooseEndpoint('/twitter', 'https://api.twitter.com/1.1');
 */
 @Injectable()
 export class TwitterProvider implements SocialProvider {
-
-  private endpoint: string;
-  constructor(private http: HttpClient, private platform: Platform) {
+  constructor(private http: HttpClient) {
   }
 
   public getPosts(handle: string, args?): Observable<Post[]> {

